# Uses of Interface
org.bukkit.entity.ItemFrame

Packages that use ItemFrame
Package
Description
io.papermc.paper.event.player
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of ItemFrame in io.papermc.paper.event.player

Methods in io.papermc.paper.event.player that return ItemFrame
Modifier and Type
Method
Description
`@NotNull ItemFrame`
PlayerItemFrameChangeEvent.`getItemFrame()`
Gets the `ItemFrame` involved in this event.
Constructors in io.papermc.paper.event.player with parameters of type ItemFrame
Modifier
Constructor
Description
``
`PlayerItemFrameChangeEvent(@NotNull Player player, @NotNull ItemFrame itemFrame, @NotNull ItemStack itemStack, @NotNull PlayerItemFrameChangeEvent.ItemFrameChangeAction action)`

## Uses of ItemFrame in org.bukkit.entity

Subinterfaces of ItemFrame in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`GlowItemFrame`
A Glow Item Frame.